#include "view.h"

void special(vertex,facelist)
Vertex **vertex;
FaceList *facelist;
{
	Face *face;
	Shading *s;

	*vertex = newVertex(5000);

	atPutCoordVertex(*vertex,0, -2.5, 2.5,  2.5);
	atPutCoordVertex(*vertex,1,  2.5, 2.5,  2.5);
	atPutCoordVertex(*vertex,2,  2.5,  2.5,  -2.5);
	atPutCoordVertex(*vertex,3, -2.5,  2.5, -2.5);


	face = newFace(*vertex,3);
	addToBackFace(face,2);
	addToBackFace(face,1);
	addToBackFace(face,0);
	s = newShading(1.0,1.0,0.0);
	setShadingOfFace(face,s);
	atPutFaceList(facelist,NEXTFreeFaceList(facelist),face);
}
